
/*
 *
 *     Module Name: watchdog.h
 *	       Version: 1.00
 *   Original Date: 03/21/02	
 *	        Author: Charles Gordon
 *	      Language: Ansi C
 * Compile Options:
 * Compile defines:
 *	     Libraries:
 *    Link Options:
 *
 *    Entry Points: watchdogServiceOnce(), watchdogServicePeriodically()
 *                  watchdogStopServicing()
 *
 *  Copyrighted (c) by NetSilicon, Inc.  All Rights Reserved.
 *
 * Description.
 * =======================================================================
 *
 * Edit Date/Ver   Edit Description
 * ==============  =======================================================
 *
 *
 */

#ifndef watchdog_h

#define watchdog_h

#ifdef __cplusplus
extern "C"
{
#endif


/*
 * Possible return values.
 */

/*ad*
 * Watchdog API Return Type
 *
 * @external
 * @category BSP:Device_Drivers:WatchdogDriver
 * @since 6.0                         
*ad*/
typedef int WATCHDOG_CCODE;

/*ad*
 * Watchdog API error codes
 *
 * @external
 * @category BSP:Device_Drivers:WatchdogDriver
 * @since 6.0
 * @name watchdog_api_errors "Watchdog API error codes"
 *
 * @param WATCHDOG_SUCCESS                            0
 * @param WATCHDOG_ALREADY_SERVICING_WATCHDOG               1
 * @param WATCHDOG_WAS_NOT_SERVICING						2
 * @param WATCHDOG_ERROR_CREATING_TIMER_TASK				3
*ad*/
#define WATCHDOG_SUCCESS                        0
#define WATCHDOG_ALREADY_SERVICING_WATCHDOG     1
#define WATCHDOG_WAS_NOT_SERVICING              2
#define WATCHDOG_ERROR_CREATING_TIMER_TASK      3


void watchdogServiceOnce(void);
WATCHDOG_CCODE watchdogServicePeriodically(void);
WATCHDOG_CCODE watchdogStopServicing(void);    
unsigned watchdogTimeoutInMilliseconds(void);

#ifdef __cplusplus
}
#endif



#endif




